Name: comsat
Version: 0.17
Release: ipl3mdk
%define srcname biff+%name

Summary: A mail checker client and %name mail checking server.
License: BSD
Group: Networking/Mail
Url: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/

Source: %url/%srcname-%version.tar.bz2
Source1: %name.xinetd
Patch: %srcname-0.10-nobr.patch

Provides: biff
Obsoletes: biff

%description
The biff client and %name server are an antiquated method of
asynchronous mail notification.  Although they are still supported, most
users use their shell's MAIL variable (or csh shell's mail variable) to
check for mail, or a dedicated application like xbiff or xmailbox.  If
the %name service is not enabled, biff won't work and you'll need to use
either the MAIL or mail variable.

You may want to install biff if you'd like to be notified when mail
arrives. However, you should probably check out the more modern
methodologies of mail notification (xbiff or xmailbox) instead.

%prep
%setup -q -n %srcname-%version
%patch -p1

%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%_bindir,;
    s,^MANDIR=.*$,MANDIR=%_mandir,;
    s,^SBINDIR=.*$,SBINDIR=%_sbindir,;
    ' MCONFIG

%make_build

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_sbindir,%_mandir/man{1,8}}
%make_install install INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%_mandir

ln -snf in.%name.8 $RPM_BUILD_ROOT%_mandir/man8/%name.8
install -p -m640 -D %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/%name

%files
%_bindir/*
%_sbindir/*
%config(noreplace) %_sysconfdir/xinetd.d/*
%_mandir/man?/*

%changelog
* Fri Oct 04 2002 Rider <rider@altlinux.ru> 0.17-ipl3mdk
- rebuild

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 0.17-ipl2mdk
- rebuild

* Fri Jan 19 2001 Dmitry V. Levin <ldv@fandra.org> 0.17-ipl1mdk
- RE adaptions.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-1mdk
- xinetd support.
- 0.17.

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15-3mdk
- BM, macro, spechelper (daouda sucks)

* Sat Mar 25 2000 Daouda Lo	<daouda@mandrakesoft.com> 0.15-2mdk
- adjust group

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- 0.15
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
